Back to top

API Documentation

< Back

Kuali Research REST APIs - IRB

Research Irb

Committee Batch Correspondence Details

Get Committee Batch Correspondence Details by Key
GET/irb/api/v1/committee-batch-correspondence-details/(key)

Example URI

GET /irb/api/v1/committee-batch-correspondence-details/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "committeeBatchCorrespondenceDetailId": "(val)",
  "committeeBatchCorrespondenceId": "(val)",
  "protocolActionId": "(val)",
  "protocolCorrespondenceId": "(val)",
  "_primaryKey": "(val)"
}

Get All Committee Batch Correspondence Details
GET/irb/api/v1/committee-batch-correspondence-details/

Example URI

GET /irb/api/v1/committee-batch-correspondence-details/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "committeeBatchCorrespondenceDetailId": "(val)",
    "committeeBatchCorrespondenceId": "(val)",
    "protocolActionId": "(val)",
    "protocolCorrespondenceId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeBatchCorrespondenceDetailId": "(val)",
    "committeeBatchCorrespondenceId": "(val)",
    "protocolActionId": "(val)",
    "protocolCorrespondenceId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Committee Batch Correspondence Details with Filtering
GET/irb/api/v1/committee-batch-correspondence-details/

Example URI

GET /irb/api/v1/committee-batch-correspondence-details/
URI Parameters
HideShow
committeeBatchCorrespondenceDetailId
string (optional) 

Committee Batch Corresponcence Detail Id. Maximum length is 12.

committeeBatchCorrespondenceId
string (optional) 

Committee Batch Correspondence Id. Maximum length is 10.

protocolActionId
string (optional) 

Protocol Action Id. Maximum length is 12.

protocolCorrespondenceId
string (optional) 

Protocol Correspondence Id. Maximum length is 12.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "committeeBatchCorrespondenceDetailId": "(val)",
    "committeeBatchCorrespondenceId": "(val)",
    "protocolActionId": "(val)",
    "protocolCorrespondenceId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeBatchCorrespondenceDetailId": "(val)",
    "committeeBatchCorrespondenceId": "(val)",
    "protocolActionId": "(val)",
    "protocolCorrespondenceId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Committee Batch Correspondence Details
GET/irb/api/v1/committee-batch-correspondence-details/

Example URI

GET /irb/api/v1/committee-batch-correspondence-details/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "committeeBatchCorrespondenceDetailId",
    "committeeBatchCorrespondenceId",
    "protocolActionId",
    "protocolCorrespondenceId"
  ],
  "primaryKey": "committeeBatchCorrespondenceDetailId"
}

Get Blueprint API specification for Committee Batch Correspondence Details
GET/irb/api/v1/committee-batch-correspondence-details/

Example URI

GET /irb/api/v1/committee-batch-correspondence-details/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Batch Correspondence Details.md"
transfer-encoding: chunked

Update Committee Batch Correspondence Details
PUT/irb/api/v1/committee-batch-correspondence-details/(key)

Example URI

PUT /irb/api/v1/committee-batch-correspondence-details/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "committeeBatchCorrespondenceDetailId": "(val)",
  "committeeBatchCorrespondenceId": "(val)",
  "protocolActionId": "(val)",
  "protocolCorrespondenceId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Committee Batch Correspondence Details
PUT/irb/api/v1/committee-batch-correspondence-details/

Example URI

PUT /irb/api/v1/committee-batch-correspondence-details/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "committeeBatchCorrespondenceDetailId": "(val)",
    "committeeBatchCorrespondenceId": "(val)",
    "protocolActionId": "(val)",
    "protocolCorrespondenceId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeBatchCorrespondenceDetailId": "(val)",
    "committeeBatchCorrespondenceId": "(val)",
    "protocolActionId": "(val)",
    "protocolCorrespondenceId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Committee Batch Correspondence Details
PATCH/irb/api/v1/committee-batch-correspondence-details/(key)

Example URI

PATCH /irb/api/v1/committee-batch-correspondence-details/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "committeeBatchCorrespondenceDetailId": "(val)",
  "committeeBatchCorrespondenceId": "(val)",
  "protocolActionId": "(val)",
  "protocolCorrespondenceId": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "committeeBatchCorrespondenceDetailId": "(val)",
  "committeeBatchCorrespondenceId": "(val)",
  "protocolActionId": "(val)",
  "protocolCorrespondenceId": "(val)",
  "_primaryKey": "(val)"
}

Insert Committee Batch Correspondence Details
POST/irb/api/v1/committee-batch-correspondence-details/

Example URI

POST /irb/api/v1/committee-batch-correspondence-details/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "committeeBatchCorrespondenceDetailId": "(val)",
  "committeeBatchCorrespondenceId": "(val)",
  "protocolActionId": "(val)",
  "protocolCorrespondenceId": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "committeeBatchCorrespondenceDetailId": "(val)",
  "committeeBatchCorrespondenceId": "(val)",
  "protocolActionId": "(val)",
  "protocolCorrespondenceId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Committee Batch Correspondence Details
POST/irb/api/v1/committee-batch-correspondence-details/

Example URI

POST /irb/api/v1/committee-batch-correspondence-details/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "committeeBatchCorrespondenceDetailId": "(val)",
    "committeeBatchCorrespondenceId": "(val)",
    "protocolActionId": "(val)",
    "protocolCorrespondenceId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeBatchCorrespondenceDetailId": "(val)",
    "committeeBatchCorrespondenceId": "(val)",
    "protocolActionId": "(val)",
    "protocolCorrespondenceId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "committeeBatchCorrespondenceDetailId": "(val)",
    "committeeBatchCorrespondenceId": "(val)",
    "protocolActionId": "(val)",
    "protocolCorrespondenceId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeBatchCorrespondenceDetailId": "(val)",
    "committeeBatchCorrespondenceId": "(val)",
    "protocolActionId": "(val)",
    "protocolCorrespondenceId": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Committee Batch Correspondence Details by Key
DELETE/irb/api/v1/committee-batch-correspondence-details/(key)

Example URI

DELETE /irb/api/v1/committee-batch-correspondence-details/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Batch Correspondence Details
DELETE/irb/api/v1/committee-batch-correspondence-details/

Example URI

DELETE /irb/api/v1/committee-batch-correspondence-details/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Batch Correspondence Details with Matching
DELETE/irb/api/v1/committee-batch-correspondence-details/

Example URI

DELETE /irb/api/v1/committee-batch-correspondence-details/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

committeeBatchCorrespondenceDetailId
string (optional) 

Committee Batch Corresponcence Detail Id. Maximum length is 12.

committeeBatchCorrespondenceId
string (optional) 

Committee Batch Correspondence Id. Maximum length is 10.

protocolActionId
string (optional) 

Protocol Action Id. Maximum length is 12.

protocolCorrespondenceId
string (optional) 

Protocol Correspondence Id. Maximum length is 12.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Committee Batch Correspondences

Get Committee Batch Correspondences by Key
GET/irb/api/v1/committee-batch-correspondences/(key)

Example URI

GET /irb/api/v1/committee-batch-correspondences/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "committeeBatchCorrespondenceId": "(val)",
  "committeeId": "(val)",
  "batchCorrespondenceTypeCode": "(val)",
  "batchRunDate": "(val)",
  "timeWindowStart": "(val)",
  "timeWindowEnd": "(val)",
  "_primaryKey": "(val)"
}

Get All Committee Batch Correspondences
GET/irb/api/v1/committee-batch-correspondences/

Example URI

GET /irb/api/v1/committee-batch-correspondences/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "committeeBatchCorrespondenceId": "(val)",
    "committeeId": "(val)",
    "batchCorrespondenceTypeCode": "(val)",
    "batchRunDate": "(val)",
    "timeWindowStart": "(val)",
    "timeWindowEnd": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeBatchCorrespondenceId": "(val)",
    "committeeId": "(val)",
    "batchCorrespondenceTypeCode": "(val)",
    "batchRunDate": "(val)",
    "timeWindowStart": "(val)",
    "timeWindowEnd": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Committee Batch Correspondences with Filtering
GET/irb/api/v1/committee-batch-correspondences/

Example URI

GET /irb/api/v1/committee-batch-correspondences/
URI Parameters
HideShow
committeeBatchCorrespondenceId
string (optional) 
committeeId
string (optional) 
batchCorrespondenceTypeCode
string (optional) 
batchRunDate
string (optional) 
timeWindowStart
string (optional) 
timeWindowEnd
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "committeeBatchCorrespondenceId": "(val)",
    "committeeId": "(val)",
    "batchCorrespondenceTypeCode": "(val)",
    "batchRunDate": "(val)",
    "timeWindowStart": "(val)",
    "timeWindowEnd": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeBatchCorrespondenceId": "(val)",
    "committeeId": "(val)",
    "batchCorrespondenceTypeCode": "(val)",
    "batchRunDate": "(val)",
    "timeWindowStart": "(val)",
    "timeWindowEnd": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Committee Batch Correspondences
GET/irb/api/v1/committee-batch-correspondences/

Example URI

GET /irb/api/v1/committee-batch-correspondences/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "committeeBatchCorrespondenceId",
    "committeeId",
    "batchCorrespondenceTypeCode",
    "batchRunDate",
    "timeWindowStart",
    "timeWindowEnd"
  ],
  "primaryKey": "committeeBatchCorrespondenceId"
}

Get Blueprint API specification for Committee Batch Correspondences
GET/irb/api/v1/committee-batch-correspondences/

Example URI

GET /irb/api/v1/committee-batch-correspondences/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Batch Correspondences.md"
transfer-encoding: chunked

Update Committee Batch Correspondences
PUT/irb/api/v1/committee-batch-correspondences/(key)

Example URI

PUT /irb/api/v1/committee-batch-correspondences/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "committeeBatchCorrespondenceId": "(val)",
  "committeeId": "(val)",
  "batchCorrespondenceTypeCode": "(val)",
  "batchRunDate": "(val)",
  "timeWindowStart": "(val)",
  "timeWindowEnd": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Committee Batch Correspondences
PUT/irb/api/v1/committee-batch-correspondences/

Example URI

PUT /irb/api/v1/committee-batch-correspondences/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "committeeBatchCorrespondenceId": "(val)",
    "committeeId": "(val)",
    "batchCorrespondenceTypeCode": "(val)",
    "batchRunDate": "(val)",
    "timeWindowStart": "(val)",
    "timeWindowEnd": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeBatchCorrespondenceId": "(val)",
    "committeeId": "(val)",
    "batchCorrespondenceTypeCode": "(val)",
    "batchRunDate": "(val)",
    "timeWindowStart": "(val)",
    "timeWindowEnd": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Committee Batch Correspondences
PATCH/irb/api/v1/committee-batch-correspondences/(key)

Example URI

PATCH /irb/api/v1/committee-batch-correspondences/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "committeeBatchCorrespondenceId": "(val)",
  "committeeId": "(val)",
  "batchCorrespondenceTypeCode": "(val)",
  "batchRunDate": "(val)",
  "timeWindowStart": "(val)",
  "timeWindowEnd": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "committeeBatchCorrespondenceId": "(val)",
  "committeeId": "(val)",
  "batchCorrespondenceTypeCode": "(val)",
  "batchRunDate": "(val)",
  "timeWindowStart": "(val)",
  "timeWindowEnd": "(val)",
  "_primaryKey": "(val)"
}

Insert Committee Batch Correspondences
POST/irb/api/v1/committee-batch-correspondences/

Example URI

POST /irb/api/v1/committee-batch-correspondences/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "committeeBatchCorrespondenceId": "(val)",
  "committeeId": "(val)",
  "batchCorrespondenceTypeCode": "(val)",
  "batchRunDate": "(val)",
  "timeWindowStart": "(val)",
  "timeWindowEnd": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "committeeBatchCorrespondenceId": "(val)",
  "committeeId": "(val)",
  "batchCorrespondenceTypeCode": "(val)",
  "batchRunDate": "(val)",
  "timeWindowStart": "(val)",
  "timeWindowEnd": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Committee Batch Correspondences
POST/irb/api/v1/committee-batch-correspondences/

Example URI

POST /irb/api/v1/committee-batch-correspondences/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "committeeBatchCorrespondenceId": "(val)",
    "committeeId": "(val)",
    "batchCorrespondenceTypeCode": "(val)",
    "batchRunDate": "(val)",
    "timeWindowStart": "(val)",
    "timeWindowEnd": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeBatchCorrespondenceId": "(val)",
    "committeeId": "(val)",
    "batchCorrespondenceTypeCode": "(val)",
    "batchRunDate": "(val)",
    "timeWindowStart": "(val)",
    "timeWindowEnd": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "committeeBatchCorrespondenceId": "(val)",
    "committeeId": "(val)",
    "batchCorrespondenceTypeCode": "(val)",
    "batchRunDate": "(val)",
    "timeWindowStart": "(val)",
    "timeWindowEnd": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeBatchCorrespondenceId": "(val)",
    "committeeId": "(val)",
    "batchCorrespondenceTypeCode": "(val)",
    "batchRunDate": "(val)",
    "timeWindowStart": "(val)",
    "timeWindowEnd": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Committee Batch Correspondences by Key
DELETE/irb/api/v1/committee-batch-correspondences/(key)

Example URI

DELETE /irb/api/v1/committee-batch-correspondences/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Batch Correspondences
DELETE/irb/api/v1/committee-batch-correspondences/

Example URI

DELETE /irb/api/v1/committee-batch-correspondences/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Batch Correspondences with Matching
DELETE/irb/api/v1/committee-batch-correspondences/

Example URI

DELETE /irb/api/v1/committee-batch-correspondences/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

committeeBatchCorrespondenceId
string (optional) 
committeeId
string (optional) 
batchCorrespondenceTypeCode
string (optional) 
batchRunDate
string (optional) 
timeWindowStart
string (optional) 
timeWindowEnd
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Committee Membership Expertise Entries

Get Committee Membership Expertise Entries by Key
GET/irb/api/v1/committee-membership-expertise-entries/(key)

Example URI

GET /irb/api/v1/committee-membership-expertise-entries/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "committeeMembershipExpertiseId": "(val)",
  "committeeMembershipIdFk": "(val)",
  "researchAreaCode": "(val)",
  "_primaryKey": "(val)"
}

Get All Committee Membership Expertise Entries
GET/irb/api/v1/committee-membership-expertise-entries/

Example URI

GET /irb/api/v1/committee-membership-expertise-entries/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "committeeMembershipExpertiseId": "(val)",
    "committeeMembershipIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeMembershipExpertiseId": "(val)",
    "committeeMembershipIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Committee Membership Expertise Entries with Filtering
GET/irb/api/v1/committee-membership-expertise-entries/

Example URI

GET /irb/api/v1/committee-membership-expertise-entries/
URI Parameters
HideShow
committeeMembershipExpertiseId
string (optional) 

Committee Membership Expertise Id. Maximum length is 22.

committeeMembershipIdFk
string (optional) 

Committee Membership Id Fk. Maximum length is 22.

researchAreaCode
string (optional) 

Research Area Code. Maximum length is 8.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "committeeMembershipExpertiseId": "(val)",
    "committeeMembershipIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeMembershipExpertiseId": "(val)",
    "committeeMembershipIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Committee Membership Expertise Entries
GET/irb/api/v1/committee-membership-expertise-entries/

Example URI

GET /irb/api/v1/committee-membership-expertise-entries/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "committeeMembershipExpertiseId",
    "committeeMembershipIdFk",
    "researchAreaCode"
  ],
  "primaryKey": "committeeMembershipExpertiseId"
}

Get Blueprint API specification for Committee Membership Expertise Entries
GET/irb/api/v1/committee-membership-expertise-entries/

Example URI

GET /irb/api/v1/committee-membership-expertise-entries/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Membership Expertise Entries.md"
transfer-encoding: chunked

Update Committee Membership Expertise Entries
PUT/irb/api/v1/committee-membership-expertise-entries/(key)

Example URI

PUT /irb/api/v1/committee-membership-expertise-entries/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "committeeMembershipExpertiseId": "(val)",
  "committeeMembershipIdFk": "(val)",
  "researchAreaCode": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Committee Membership Expertise Entries
PUT/irb/api/v1/committee-membership-expertise-entries/

Example URI

PUT /irb/api/v1/committee-membership-expertise-entries/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "committeeMembershipExpertiseId": "(val)",
    "committeeMembershipIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeMembershipExpertiseId": "(val)",
    "committeeMembershipIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Committee Membership Expertise Entries
PATCH/irb/api/v1/committee-membership-expertise-entries/(key)

Example URI

PATCH /irb/api/v1/committee-membership-expertise-entries/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "committeeMembershipExpertiseId": "(val)",
  "committeeMembershipIdFk": "(val)",
  "researchAreaCode": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "committeeMembershipExpertiseId": "(val)",
  "committeeMembershipIdFk": "(val)",
  "researchAreaCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Committee Membership Expertise Entries
POST/irb/api/v1/committee-membership-expertise-entries/

Example URI

POST /irb/api/v1/committee-membership-expertise-entries/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "committeeMembershipExpertiseId": "(val)",
  "committeeMembershipIdFk": "(val)",
  "researchAreaCode": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "committeeMembershipExpertiseId": "(val)",
  "committeeMembershipIdFk": "(val)",
  "researchAreaCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Committee Membership Expertise Entries
POST/irb/api/v1/committee-membership-expertise-entries/

Example URI

POST /irb/api/v1/committee-membership-expertise-entries/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "committeeMembershipExpertiseId": "(val)",
    "committeeMembershipIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeMembershipExpertiseId": "(val)",
    "committeeMembershipIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "committeeMembershipExpertiseId": "(val)",
    "committeeMembershipIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeMembershipExpertiseId": "(val)",
    "committeeMembershipIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Committee Membership Expertise Entries by Key
DELETE/irb/api/v1/committee-membership-expertise-entries/(key)

Example URI

DELETE /irb/api/v1/committee-membership-expertise-entries/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Membership Expertise Entries
DELETE/irb/api/v1/committee-membership-expertise-entries/

Example URI

DELETE /irb/api/v1/committee-membership-expertise-entries/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Membership Expertise Entries with Matching
DELETE/irb/api/v1/committee-membership-expertise-entries/

Example URI

DELETE /irb/api/v1/committee-membership-expertise-entries/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

committeeMembershipExpertiseId
string (optional) 

Committee Membership Expertise Id. Maximum length is 22.

committeeMembershipIdFk
string (optional) 

Committee Membership Id Fk. Maximum length is 22.

researchAreaCode
string (optional) 

Research Area Code. Maximum length is 8.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Committee Memberships

Get Committee Memberships by Key
GET/irb/api/v1/committee-memberships/(key)

Example URI

GET /irb/api/v1/committee-memberships/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "committeeMembershipId": "(val)",
  "committeeIdFk": "(val)",
  "personId": "(val)",
  "rolodexId": "(val)",
  "personName": "(val)",
  "membershipId": "(val)",
  "paidMember": "(val)",
  "termStartDate": "(val)",
  "termEndDate": "(val)",
  "membershipTypeCode": "(val)",
  "comments": "(val)",
  "contactNotes": "(val)",
  "trainingNotes": "(val)",
  "_primaryKey": "(val)"
}

Get All Committee Memberships
GET/irb/api/v1/committee-memberships/

Example URI

GET /irb/api/v1/committee-memberships/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "committeeMembershipId": "(val)",
    "committeeIdFk": "(val)",
    "personId": "(val)",
    "rolodexId": "(val)",
    "personName": "(val)",
    "membershipId": "(val)",
    "paidMember": "(val)",
    "termStartDate": "(val)",
    "termEndDate": "(val)",
    "membershipTypeCode": "(val)",
    "comments": "(val)",
    "contactNotes": "(val)",
    "trainingNotes": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeMembershipId": "(val)",
    "committeeIdFk": "(val)",
    "personId": "(val)",
    "rolodexId": "(val)",
    "personName": "(val)",
    "membershipId": "(val)",
    "paidMember": "(val)",
    "termStartDate": "(val)",
    "termEndDate": "(val)",
    "membershipTypeCode": "(val)",
    "comments": "(val)",
    "contactNotes": "(val)",
    "trainingNotes": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Committee Memberships with Filtering
GET/irb/api/v1/committee-memberships/

Example URI

GET /irb/api/v1/committee-memberships/
URI Parameters
HideShow
committeeMembershipId
string (optional) 

Committee Membership Id. Maximum length is 12.

committeeIdFk
string (optional) 

Committee Id Fk. Maximum length is 12.

personId
string (optional) 

Person Id. Maximum length is 40.

rolodexId
string (optional) 

Rolodex Id. Maximum length is 12.

personName
string (optional) 

Person Name. Maximum length is 90.

membershipId
string (optional) 

Membership Id. Maximum length is 10.

paidMember
string (optional) 

Paid Member. Maximum length is 1.

termStartDate
string (optional) 

Term Start Date. Maximum length is 10.

termEndDate
string (optional) 

Term End Date. Maximum length is 10.

membershipTypeCode
string (optional) 

Membership Type Code. Maximum length is 3.

comments
string (optional) 

Comments. Maximum length is 200.

contactNotes
string (optional) 

Contact Notes. Maximum length is 200.

trainingNotes
string (optional) 

Training Notes. Maximum length is 200.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "committeeMembershipId": "(val)",
    "committeeIdFk": "(val)",
    "personId": "(val)",
    "rolodexId": "(val)",
    "personName": "(val)",
    "membershipId": "(val)",
    "paidMember": "(val)",
    "termStartDate": "(val)",
    "termEndDate": "(val)",
    "membershipTypeCode": "(val)",
    "comments": "(val)",
    "contactNotes": "(val)",
    "trainingNotes": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeMembershipId": "(val)",
    "committeeIdFk": "(val)",
    "personId": "(val)",
    "rolodexId": "(val)",
    "personName": "(val)",
    "membershipId": "(val)",
    "paidMember": "(val)",
    "termStartDate": "(val)",
    "termEndDate": "(val)",
    "membershipTypeCode": "(val)",
    "comments": "(val)",
    "contactNotes": "(val)",
    "trainingNotes": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Committee Memberships
GET/irb/api/v1/committee-memberships/

Example URI

GET /irb/api/v1/committee-memberships/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "committeeMembershipId",
    "committeeIdFk",
    "personId",
    "rolodexId",
    "personName",
    "membershipId",
    "paidMember",
    "termStartDate",
    "termEndDate",
    "membershipTypeCode",
    "comments",
    "contactNotes",
    "trainingNotes"
  ],
  "primaryKey": "committeeMembershipId"
}

Get Blueprint API specification for Committee Memberships
GET/irb/api/v1/committee-memberships/

Example URI

GET /irb/api/v1/committee-memberships/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Memberships.md"
transfer-encoding: chunked

Update Committee Memberships
PUT/irb/api/v1/committee-memberships/(key)

Example URI

PUT /irb/api/v1/committee-memberships/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "committeeMembershipId": "(val)",
  "committeeIdFk": "(val)",
  "personId": "(val)",
  "rolodexId": "(val)",
  "personName": "(val)",
  "membershipId": "(val)",
  "paidMember": "(val)",
  "termStartDate": "(val)",
  "termEndDate": "(val)",
  "membershipTypeCode": "(val)",
  "comments": "(val)",
  "contactNotes": "(val)",
  "trainingNotes": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Committee Memberships
PUT/irb/api/v1/committee-memberships/

Example URI

PUT /irb/api/v1/committee-memberships/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "committeeMembershipId": "(val)",
    "committeeIdFk": "(val)",
    "personId": "(val)",
    "rolodexId": "(val)",
    "personName": "(val)",
    "membershipId": "(val)",
    "paidMember": "(val)",
    "termStartDate": "(val)",
    "termEndDate": "(val)",
    "membershipTypeCode": "(val)",
    "comments": "(val)",
    "contactNotes": "(val)",
    "trainingNotes": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeMembershipId": "(val)",
    "committeeIdFk": "(val)",
    "personId": "(val)",
    "rolodexId": "(val)",
    "personName": "(val)",
    "membershipId": "(val)",
    "paidMember": "(val)",
    "termStartDate": "(val)",
    "termEndDate": "(val)",
    "membershipTypeCode": "(val)",
    "comments": "(val)",
    "contactNotes": "(val)",
    "trainingNotes": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Committee Memberships
PATCH/irb/api/v1/committee-memberships/(key)

Example URI

PATCH /irb/api/v1/committee-memberships/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "committeeMembershipId": "(val)",
  "committeeIdFk": "(val)",
  "personId": "(val)",
  "rolodexId": "(val)",
  "personName": "(val)",
  "membershipId": "(val)",
  "paidMember": "(val)",
  "termStartDate": "(val)",
  "termEndDate": "(val)",
  "membershipTypeCode": "(val)",
  "comments": "(val)",
  "contactNotes": "(val)",
  "trainingNotes": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "committeeMembershipId": "(val)",
  "committeeIdFk": "(val)",
  "personId": "(val)",
  "rolodexId": "(val)",
  "personName": "(val)",
  "membershipId": "(val)",
  "paidMember": "(val)",
  "termStartDate": "(val)",
  "termEndDate": "(val)",
  "membershipTypeCode": "(val)",
  "comments": "(val)",
  "contactNotes": "(val)",
  "trainingNotes": "(val)",
  "_primaryKey": "(val)"
}

Insert Committee Memberships
POST/irb/api/v1/committee-memberships/

Example URI

POST /irb/api/v1/committee-memberships/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "committeeMembershipId": "(val)",
  "committeeIdFk": "(val)",
  "personId": "(val)",
  "rolodexId": "(val)",
  "personName": "(val)",
  "membershipId": "(val)",
  "paidMember": "(val)",
  "termStartDate": "(val)",
  "termEndDate": "(val)",
  "membershipTypeCode": "(val)",
  "comments": "(val)",
  "contactNotes": "(val)",
  "trainingNotes": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "committeeMembershipId": "(val)",
  "committeeIdFk": "(val)",
  "personId": "(val)",
  "rolodexId": "(val)",
  "personName": "(val)",
  "membershipId": "(val)",
  "paidMember": "(val)",
  "termStartDate": "(val)",
  "termEndDate": "(val)",
  "membershipTypeCode": "(val)",
  "comments": "(val)",
  "contactNotes": "(val)",
  "trainingNotes": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Committee Memberships
POST/irb/api/v1/committee-memberships/

Example URI

POST /irb/api/v1/committee-memberships/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "committeeMembershipId": "(val)",
    "committeeIdFk": "(val)",
    "personId": "(val)",
    "rolodexId": "(val)",
    "personName": "(val)",
    "membershipId": "(val)",
    "paidMember": "(val)",
    "termStartDate": "(val)",
    "termEndDate": "(val)",
    "membershipTypeCode": "(val)",
    "comments": "(val)",
    "contactNotes": "(val)",
    "trainingNotes": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeMembershipId": "(val)",
    "committeeIdFk": "(val)",
    "personId": "(val)",
    "rolodexId": "(val)",
    "personName": "(val)",
    "membershipId": "(val)",
    "paidMember": "(val)",
    "termStartDate": "(val)",
    "termEndDate": "(val)",
    "membershipTypeCode": "(val)",
    "comments": "(val)",
    "contactNotes": "(val)",
    "trainingNotes": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "committeeMembershipId": "(val)",
    "committeeIdFk": "(val)",
    "personId": "(val)",
    "rolodexId": "(val)",
    "personName": "(val)",
    "membershipId": "(val)",
    "paidMember": "(val)",
    "termStartDate": "(val)",
    "termEndDate": "(val)",
    "membershipTypeCode": "(val)",
    "comments": "(val)",
    "contactNotes": "(val)",
    "trainingNotes": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "committeeMembershipId": "(val)",
    "committeeIdFk": "(val)",
    "personId": "(val)",
    "rolodexId": "(val)",
    "personName": "(val)",
    "membershipId": "(val)",
    "paidMember": "(val)",
    "termStartDate": "(val)",
    "termEndDate": "(val)",
    "membershipTypeCode": "(val)",
    "comments": "(val)",
    "contactNotes": "(val)",
    "trainingNotes": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Committee Memberships by Key
DELETE/irb/api/v1/committee-memberships/(key)

Example URI

DELETE /irb/api/v1/committee-memberships/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Memberships
DELETE/irb/api/v1/committee-memberships/

Example URI

DELETE /irb/api/v1/committee-memberships/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Memberships with Matching
DELETE/irb/api/v1/committee-memberships/

Example URI

DELETE /irb/api/v1/committee-memberships/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

committeeMembershipId
string (optional) 

Committee Membership Id. Maximum length is 12.

committeeIdFk
string (optional) 

Committee Id Fk. Maximum length is 12.

personId
string (optional) 

Person Id. Maximum length is 40.

rolodexId
string (optional) 

Rolodex Id. Maximum length is 12.

personName
string (optional) 

Person Name. Maximum length is 90.

membershipId
string (optional) 

Membership Id. Maximum length is 10.

paidMember
string (optional) 

Paid Member. Maximum length is 1.

termStartDate
string (optional) 

Term Start Date. Maximum length is 10.

termEndDate
string (optional) 

Term End Date. Maximum length is 10.

membershipTypeCode
string (optional) 

Membership Type Code. Maximum length is 3.

comments
string (optional) 

Comments. Maximum length is 200.

contactNotes
string (optional) 

Contact Notes. Maximum length is 200.

trainingNotes
string (optional) 

Training Notes. Maximum length is 200.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Committee Research Areas

Get Committee Research Areas by Key
GET/irb/api/v1/committee-research-areas/(key)

Example URI

GET /irb/api/v1/committee-research-areas/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "committeeIdFk": "(val)",
  "researchAreaCode": "(val)",
  "_primaryKey": "(val)"
}

Get All Committee Research Areas
GET/irb/api/v1/committee-research-areas/

Example URI

GET /irb/api/v1/committee-research-areas/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "committeeIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "committeeIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Committee Research Areas with Filtering
GET/irb/api/v1/committee-research-areas/

Example URI

GET /irb/api/v1/committee-research-areas/
URI Parameters
HideShow
id
string (optional) 

Committee Research Area Id.

committeeIdFk
string (optional) 

Committee Id Fk.

researchAreaCode
string (optional) 

Research Area Code.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "committeeIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "committeeIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Committee Research Areas
GET/irb/api/v1/committee-research-areas/

Example URI

GET /irb/api/v1/committee-research-areas/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "committeeIdFk",
    "researchAreaCode"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Committee Research Areas
GET/irb/api/v1/committee-research-areas/

Example URI

GET /irb/api/v1/committee-research-areas/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Research Areas.md"
transfer-encoding: chunked

Update Committee Research Areas
PUT/irb/api/v1/committee-research-areas/(key)

Example URI

PUT /irb/api/v1/committee-research-areas/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "committeeIdFk": "(val)",
  "researchAreaCode": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Committee Research Areas
PUT/irb/api/v1/committee-research-areas/

Example URI

PUT /irb/api/v1/committee-research-areas/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "committeeIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "committeeIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Committee Research Areas
PATCH/irb/api/v1/committee-research-areas/(key)

Example URI

PATCH /irb/api/v1/committee-research-areas/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "committeeIdFk": "(val)",
  "researchAreaCode": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "committeeIdFk": "(val)",
  "researchAreaCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Committee Research Areas
POST/irb/api/v1/committee-research-areas/

Example URI

POST /irb/api/v1/committee-research-areas/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "committeeIdFk": "(val)",
  "researchAreaCode": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "committeeIdFk": "(val)",
  "researchAreaCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Committee Research Areas
POST/irb/api/v1/committee-research-areas/

Example URI

POST /irb/api/v1/committee-research-areas/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "committeeIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "committeeIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "committeeIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "committeeIdFk": "(val)",
    "researchAreaCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Committee Research Areas by Key
DELETE/irb/api/v1/committee-research-areas/(key)

Example URI

DELETE /irb/api/v1/committee-research-areas/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Research Areas
DELETE/irb/api/v1/committee-research-areas/

Example URI

DELETE /irb/api/v1/committee-research-areas/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Research Areas with Matching
DELETE/irb/api/v1/committee-research-areas/

Example URI

DELETE /irb/api/v1/committee-research-areas/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

Committee Research Area Id.

committeeIdFk
string (optional) 

Committee Id Fk.

researchAreaCode
string (optional) 

Research Area Code.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Committee Schedule Action Items

Get Committee Schedule Action Items by Key
GET/irb/api/v1/committee-schedule-action-items/(key)

Example URI

GET /irb/api/v1/committee-schedule-action-items/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "commScheduleActItemsId": "(val)",
  "scheduleIdFk": "(val)",
  "actionItemNumber": "(val)",
  "scheduleActItemTypeCode": "(val)",
  "itemDescription": "(val)",
  "_primaryKey": "(val)"
}

Get All Committee Schedule Action Items
GET/irb/api/v1/committee-schedule-action-items/

Example URI

GET /irb/api/v1/committee-schedule-action-items/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "commScheduleActItemsId": "(val)",
    "scheduleIdFk": "(val)",
    "actionItemNumber": "(val)",
    "scheduleActItemTypeCode": "(val)",
    "itemDescription": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleActItemsId": "(val)",
    "scheduleIdFk": "(val)",
    "actionItemNumber": "(val)",
    "scheduleActItemTypeCode": "(val)",
    "itemDescription": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Committee Schedule Action Items with Filtering
GET/irb/api/v1/committee-schedule-action-items/

Example URI

GET /irb/api/v1/committee-schedule-action-items/
URI Parameters
HideShow
commScheduleActItemsId
string (optional) 

Comm Schedule Act Items Id. Maximum length is 12.

scheduleIdFk
string (optional) 

Schedule Id. Maximum length is 12.

actionItemNumber
string (optional) 

Action Item Number. Maximum length is 22.

scheduleActItemTypeCode
string (optional) 

Schedule Act Item Type Code. Maximum length is 3.

itemDescription
string (optional) 

Item Description. Maximum length is 2000.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "commScheduleActItemsId": "(val)",
    "scheduleIdFk": "(val)",
    "actionItemNumber": "(val)",
    "scheduleActItemTypeCode": "(val)",
    "itemDescription": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleActItemsId": "(val)",
    "scheduleIdFk": "(val)",
    "actionItemNumber": "(val)",
    "scheduleActItemTypeCode": "(val)",
    "itemDescription": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Committee Schedule Action Items
GET/irb/api/v1/committee-schedule-action-items/

Example URI

GET /irb/api/v1/committee-schedule-action-items/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "commScheduleActItemsId",
    "scheduleIdFk",
    "actionItemNumber",
    "scheduleActItemTypeCode",
    "itemDescription"
  ],
  "primaryKey": "commScheduleActItemsId"
}

Get Blueprint API specification for Committee Schedule Action Items
GET/irb/api/v1/committee-schedule-action-items/

Example URI

GET /irb/api/v1/committee-schedule-action-items/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Schedule Action Items.md"
transfer-encoding: chunked

Update Committee Schedule Action Items
PUT/irb/api/v1/committee-schedule-action-items/(key)

Example URI

PUT /irb/api/v1/committee-schedule-action-items/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "commScheduleActItemsId": "(val)",
  "scheduleIdFk": "(val)",
  "actionItemNumber": "(val)",
  "scheduleActItemTypeCode": "(val)",
  "itemDescription": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Committee Schedule Action Items
PUT/irb/api/v1/committee-schedule-action-items/

Example URI

PUT /irb/api/v1/committee-schedule-action-items/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "commScheduleActItemsId": "(val)",
    "scheduleIdFk": "(val)",
    "actionItemNumber": "(val)",
    "scheduleActItemTypeCode": "(val)",
    "itemDescription": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleActItemsId": "(val)",
    "scheduleIdFk": "(val)",
    "actionItemNumber": "(val)",
    "scheduleActItemTypeCode": "(val)",
    "itemDescription": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Committee Schedule Action Items
PATCH/irb/api/v1/committee-schedule-action-items/(key)

Example URI

PATCH /irb/api/v1/committee-schedule-action-items/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "commScheduleActItemsId": "(val)",
  "scheduleIdFk": "(val)",
  "actionItemNumber": "(val)",
  "scheduleActItemTypeCode": "(val)",
  "itemDescription": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "commScheduleActItemsId": "(val)",
  "scheduleIdFk": "(val)",
  "actionItemNumber": "(val)",
  "scheduleActItemTypeCode": "(val)",
  "itemDescription": "(val)",
  "_primaryKey": "(val)"
}

Insert Committee Schedule Action Items
POST/irb/api/v1/committee-schedule-action-items/

Example URI

POST /irb/api/v1/committee-schedule-action-items/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "commScheduleActItemsId": "(val)",
  "scheduleIdFk": "(val)",
  "actionItemNumber": "(val)",
  "scheduleActItemTypeCode": "(val)",
  "itemDescription": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "commScheduleActItemsId": "(val)",
  "scheduleIdFk": "(val)",
  "actionItemNumber": "(val)",
  "scheduleActItemTypeCode": "(val)",
  "itemDescription": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Committee Schedule Action Items
POST/irb/api/v1/committee-schedule-action-items/

Example URI

POST /irb/api/v1/committee-schedule-action-items/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "commScheduleActItemsId": "(val)",
    "scheduleIdFk": "(val)",
    "actionItemNumber": "(val)",
    "scheduleActItemTypeCode": "(val)",
    "itemDescription": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleActItemsId": "(val)",
    "scheduleIdFk": "(val)",
    "actionItemNumber": "(val)",
    "scheduleActItemTypeCode": "(val)",
    "itemDescription": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "commScheduleActItemsId": "(val)",
    "scheduleIdFk": "(val)",
    "actionItemNumber": "(val)",
    "scheduleActItemTypeCode": "(val)",
    "itemDescription": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleActItemsId": "(val)",
    "scheduleIdFk": "(val)",
    "actionItemNumber": "(val)",
    "scheduleActItemTypeCode": "(val)",
    "itemDescription": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Committee Schedule Action Items by Key
DELETE/irb/api/v1/committee-schedule-action-items/(key)

Example URI

DELETE /irb/api/v1/committee-schedule-action-items/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Schedule Action Items
DELETE/irb/api/v1/committee-schedule-action-items/

Example URI

DELETE /irb/api/v1/committee-schedule-action-items/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Schedule Action Items with Matching
DELETE/irb/api/v1/committee-schedule-action-items/

Example URI

DELETE /irb/api/v1/committee-schedule-action-items/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

commScheduleActItemsId
string (optional) 

Comm Schedule Act Items Id. Maximum length is 12.

scheduleIdFk
string (optional) 

Schedule Id. Maximum length is 12.

actionItemNumber
string (optional) 

Action Item Number. Maximum length is 22.

scheduleActItemTypeCode
string (optional) 

Schedule Act Item Type Code. Maximum length is 3.

itemDescription
string (optional) 

Item Description. Maximum length is 2000.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Committee Schedule Attachments

Get Committee Schedule Attachments by Key
GET/irb/api/v1/committee-schedule-attachments/(key)

Example URI

GET /irb/api/v1/committee-schedule-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "scheduleId": "(val)",
  "attachmentId": "(val)",
  "attachmentsTypeCode": "(val)",
  "description": "(val)",
  "fileName": "(val)",
  "document": "(val)",
  "mimeType": "(val)",
  "newUpdateTimestamp": "(val)",
  "newUpdateUser": "(val)",
  "_primaryKey": "(val)"
}

Get All Committee Schedule Attachments
GET/irb/api/v1/committee-schedule-attachments/

Example URI

GET /irb/api/v1/committee-schedule-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "scheduleId": "(val)",
    "attachmentId": "(val)",
    "attachmentsTypeCode": "(val)",
    "description": "(val)",
    "fileName": "(val)",
    "document": "(val)",
    "mimeType": "(val)",
    "newUpdateTimestamp": "(val)",
    "newUpdateUser": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "scheduleId": "(val)",
    "attachmentId": "(val)",
    "attachmentsTypeCode": "(val)",
    "description": "(val)",
    "fileName": "(val)",
    "document": "(val)",
    "mimeType": "(val)",
    "newUpdateTimestamp": "(val)",
    "newUpdateUser": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Committee Schedule Attachments with Filtering
GET/irb/api/v1/committee-schedule-attachments/

Example URI

GET /irb/api/v1/committee-schedule-attachments/
URI Parameters
HideShow
scheduleId
string (optional) 
attachmentId
string (optional) 
attachmentsTypeCode
string (optional) 

Attachment Type. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 4000.

fileName
string (optional) 

File Name. Maximum length is 150.

document
string (optional) 
mimeType
string (optional) 
newUpdateTimestamp
string (optional) 
newUpdateUser
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "scheduleId": "(val)",
    "attachmentId": "(val)",
    "attachmentsTypeCode": "(val)",
    "description": "(val)",
    "fileName": "(val)",
    "document": "(val)",
    "mimeType": "(val)",
    "newUpdateTimestamp": "(val)",
    "newUpdateUser": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "scheduleId": "(val)",
    "attachmentId": "(val)",
    "attachmentsTypeCode": "(val)",
    "description": "(val)",
    "fileName": "(val)",
    "document": "(val)",
    "mimeType": "(val)",
    "newUpdateTimestamp": "(val)",
    "newUpdateUser": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Committee Schedule Attachments
GET/irb/api/v1/committee-schedule-attachments/

Example URI

GET /irb/api/v1/committee-schedule-attachments/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "scheduleId",
    "attachmentId",
    "attachmentsTypeCode",
    "description",
    "fileName",
    "document",
    "mimeType",
    "newUpdateTimestamp",
    "newUpdateUser"
  ],
  "primaryKey": "attachmentId"
}

Get Blueprint API specification for Committee Schedule Attachments
GET/irb/api/v1/committee-schedule-attachments/

Example URI

GET /irb/api/v1/committee-schedule-attachments/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Schedule Attachments.md"
transfer-encoding: chunked

Update Committee Schedule Attachments
PUT/irb/api/v1/committee-schedule-attachments/(key)

Example URI

PUT /irb/api/v1/committee-schedule-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "scheduleId": "(val)",
  "attachmentId": "(val)",
  "attachmentsTypeCode": "(val)",
  "description": "(val)",
  "fileName": "(val)",
  "document": "(val)",
  "mimeType": "(val)",
  "newUpdateTimestamp": "(val)",
  "newUpdateUser": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Committee Schedule Attachments
PUT/irb/api/v1/committee-schedule-attachments/

Example URI

PUT /irb/api/v1/committee-schedule-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "scheduleId": "(val)",
    "attachmentId": "(val)",
    "attachmentsTypeCode": "(val)",
    "description": "(val)",
    "fileName": "(val)",
    "document": "(val)",
    "mimeType": "(val)",
    "newUpdateTimestamp": "(val)",
    "newUpdateUser": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "scheduleId": "(val)",
    "attachmentId": "(val)",
    "attachmentsTypeCode": "(val)",
    "description": "(val)",
    "fileName": "(val)",
    "document": "(val)",
    "mimeType": "(val)",
    "newUpdateTimestamp": "(val)",
    "newUpdateUser": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Committee Schedule Attachments
PATCH/irb/api/v1/committee-schedule-attachments/(key)

Example URI

PATCH /irb/api/v1/committee-schedule-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "scheduleId": "(val)",
  "attachmentId": "(val)",
  "attachmentsTypeCode": "(val)",
  "description": "(val)",
  "fileName": "(val)",
  "document": "(val)",
  "mimeType": "(val)",
  "newUpdateTimestamp": "(val)",
  "newUpdateUser": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "scheduleId": "(val)",
  "attachmentId": "(val)",
  "attachmentsTypeCode": "(val)",
  "description": "(val)",
  "fileName": "(val)",
  "document": "(val)",
  "mimeType": "(val)",
  "newUpdateTimestamp": "(val)",
  "newUpdateUser": "(val)",
  "_primaryKey": "(val)"
}

Insert Committee Schedule Attachments
POST/irb/api/v1/committee-schedule-attachments/

Example URI

POST /irb/api/v1/committee-schedule-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "scheduleId": "(val)",
  "attachmentId": "(val)",
  "attachmentsTypeCode": "(val)",
  "description": "(val)",
  "fileName": "(val)",
  "document": "(val)",
  "mimeType": "(val)",
  "newUpdateTimestamp": "(val)",
  "newUpdateUser": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "scheduleId": "(val)",
  "attachmentId": "(val)",
  "attachmentsTypeCode": "(val)",
  "description": "(val)",
  "fileName": "(val)",
  "document": "(val)",
  "mimeType": "(val)",
  "newUpdateTimestamp": "(val)",
  "newUpdateUser": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Committee Schedule Attachments
POST/irb/api/v1/committee-schedule-attachments/

Example URI

POST /irb/api/v1/committee-schedule-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "scheduleId": "(val)",
    "attachmentId": "(val)",
    "attachmentsTypeCode": "(val)",
    "description": "(val)",
    "fileName": "(val)",
    "document": "(val)",
    "mimeType": "(val)",
    "newUpdateTimestamp": "(val)",
    "newUpdateUser": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "scheduleId": "(val)",
    "attachmentId": "(val)",
    "attachmentsTypeCode": "(val)",
    "description": "(val)",
    "fileName": "(val)",
    "document": "(val)",
    "mimeType": "(val)",
    "newUpdateTimestamp": "(val)",
    "newUpdateUser": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "scheduleId": "(val)",
    "attachmentId": "(val)",
    "attachmentsTypeCode": "(val)",
    "description": "(val)",
    "fileName": "(val)",
    "document": "(val)",
    "mimeType": "(val)",
    "newUpdateTimestamp": "(val)",
    "newUpdateUser": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "scheduleId": "(val)",
    "attachmentId": "(val)",
    "attachmentsTypeCode": "(val)",
    "description": "(val)",
    "fileName": "(val)",
    "document": "(val)",
    "mimeType": "(val)",
    "newUpdateTimestamp": "(val)",
    "newUpdateUser": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Committee Schedule Attachments by Key
DELETE/irb/api/v1/committee-schedule-attachments/(key)

Example URI

DELETE /irb/api/v1/committee-schedule-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Schedule Attachments
DELETE/irb/api/v1/committee-schedule-attachments/

Example URI

DELETE /irb/api/v1/committee-schedule-attachments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Schedule Attachments with Matching
DELETE/irb/api/v1/committee-schedule-attachments/

Example URI

DELETE /irb/api/v1/committee-schedule-attachments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

scheduleId
string (optional) 
attachmentId
string (optional) 
attachmentsTypeCode
string (optional) 

Attachment Type. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 4000.

fileName
string (optional) 

File Name. Maximum length is 150.

document
string (optional) 
mimeType
string (optional) 
newUpdateTimestamp
string (optional) 
newUpdateUser
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Committee Schedule Attendances

Get Committee Schedule Attendances by Key
GET/irb/api/v1/committee-schedule-attendances/(key)

Example URI

GET /irb/api/v1/committee-schedule-attendances/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "commScheduleAttendanceId": "(val)",
  "scheduleIdFk": "(val)",
  "personId": "(val)",
  "personName": "(val)",
  "guestFlag": "(val)",
  "alternateFlag": "(val)",
  "alternateFor": "(val)",
  "nonEmployeeFlag": "(val)",
  "comments": "(val)",
  "_primaryKey": "(val)"
}

Get All Committee Schedule Attendances
GET/irb/api/v1/committee-schedule-attendances/

Example URI

GET /irb/api/v1/committee-schedule-attendances/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "commScheduleAttendanceId": "(val)",
    "scheduleIdFk": "(val)",
    "personId": "(val)",
    "personName": "(val)",
    "guestFlag": "(val)",
    "alternateFlag": "(val)",
    "alternateFor": "(val)",
    "nonEmployeeFlag": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleAttendanceId": "(val)",
    "scheduleIdFk": "(val)",
    "personId": "(val)",
    "personName": "(val)",
    "guestFlag": "(val)",
    "alternateFlag": "(val)",
    "alternateFor": "(val)",
    "nonEmployeeFlag": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Committee Schedule Attendances with Filtering
GET/irb/api/v1/committee-schedule-attendances/

Example URI

GET /irb/api/v1/committee-schedule-attendances/
URI Parameters
HideShow
commScheduleAttendanceId
string (optional) 

Comm Schedule Attendance Id. Maximum length is 22.

scheduleIdFk
string (optional) 

Schedule Id. Maximum length is 10.

personId
string (optional) 

Person Id. Maximum length is 40.

personName
string (optional) 

Person Name. Maximum length is 90.

guestFlag
string (optional) 

Guest Flag. Maximum length is 1.

alternateFlag
string (optional) 

Alternate Flag. Maximum length is 1.

alternateFor
string (optional) 

Alternate For. Maximum length is 9.

nonEmployeeFlag
string (optional) 

Non Employee Flag. Maximum length is 1.

comments
string (optional) 

Comments. Maximum length is 2000.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "commScheduleAttendanceId": "(val)",
    "scheduleIdFk": "(val)",
    "personId": "(val)",
    "personName": "(val)",
    "guestFlag": "(val)",
    "alternateFlag": "(val)",
    "alternateFor": "(val)",
    "nonEmployeeFlag": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleAttendanceId": "(val)",
    "scheduleIdFk": "(val)",
    "personId": "(val)",
    "personName": "(val)",
    "guestFlag": "(val)",
    "alternateFlag": "(val)",
    "alternateFor": "(val)",
    "nonEmployeeFlag": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Committee Schedule Attendances
GET/irb/api/v1/committee-schedule-attendances/

Example URI

GET /irb/api/v1/committee-schedule-attendances/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "commScheduleAttendanceId",
    "scheduleIdFk",
    "personId",
    "personName",
    "guestFlag",
    "alternateFlag",
    "alternateFor",
    "nonEmployeeFlag",
    "comments"
  ],
  "primaryKey": "commScheduleAttendanceId"
}

Get Blueprint API specification for Committee Schedule Attendances
GET/irb/api/v1/committee-schedule-attendances/

Example URI

GET /irb/api/v1/committee-schedule-attendances/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Schedule Attendances.md"
transfer-encoding: chunked

Update Committee Schedule Attendances
PUT/irb/api/v1/committee-schedule-attendances/(key)

Example URI

PUT /irb/api/v1/committee-schedule-attendances/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "commScheduleAttendanceId": "(val)",
  "scheduleIdFk": "(val)",
  "personId": "(val)",
  "personName": "(val)",
  "guestFlag": "(val)",
  "alternateFlag": "(val)",
  "alternateFor": "(val)",
  "nonEmployeeFlag": "(val)",
  "comments": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Committee Schedule Attendances
PUT/irb/api/v1/committee-schedule-attendances/

Example URI

PUT /irb/api/v1/committee-schedule-attendances/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "commScheduleAttendanceId": "(val)",
    "scheduleIdFk": "(val)",
    "personId": "(val)",
    "personName": "(val)",
    "guestFlag": "(val)",
    "alternateFlag": "(val)",
    "alternateFor": "(val)",
    "nonEmployeeFlag": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleAttendanceId": "(val)",
    "scheduleIdFk": "(val)",
    "personId": "(val)",
    "personName": "(val)",
    "guestFlag": "(val)",
    "alternateFlag": "(val)",
    "alternateFor": "(val)",
    "nonEmployeeFlag": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Committee Schedule Attendances
PATCH/irb/api/v1/committee-schedule-attendances/(key)

Example URI

PATCH /irb/api/v1/committee-schedule-attendances/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "commScheduleAttendanceId": "(val)",
  "scheduleIdFk": "(val)",
  "personId": "(val)",
  "personName": "(val)",
  "guestFlag": "(val)",
  "alternateFlag": "(val)",
  "alternateFor": "(val)",
  "nonEmployeeFlag": "(val)",
  "comments": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "commScheduleAttendanceId": "(val)",
  "scheduleIdFk": "(val)",
  "personId": "(val)",
  "personName": "(val)",
  "guestFlag": "(val)",
  "alternateFlag": "(val)",
  "alternateFor": "(val)",
  "nonEmployeeFlag": "(val)",
  "comments": "(val)",
  "_primaryKey": "(val)"
}

Insert Committee Schedule Attendances
POST/irb/api/v1/committee-schedule-attendances/

Example URI

POST /irb/api/v1/committee-schedule-attendances/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "commScheduleAttendanceId": "(val)",
  "scheduleIdFk": "(val)",
  "personId": "(val)",
  "personName": "(val)",
  "guestFlag": "(val)",
  "alternateFlag": "(val)",
  "alternateFor": "(val)",
  "nonEmployeeFlag": "(val)",
  "comments": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "commScheduleAttendanceId": "(val)",
  "scheduleIdFk": "(val)",
  "personId": "(val)",
  "personName": "(val)",
  "guestFlag": "(val)",
  "alternateFlag": "(val)",
  "alternateFor": "(val)",
  "nonEmployeeFlag": "(val)",
  "comments": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Committee Schedule Attendances
POST/irb/api/v1/committee-schedule-attendances/

Example URI

POST /irb/api/v1/committee-schedule-attendances/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "commScheduleAttendanceId": "(val)",
    "scheduleIdFk": "(val)",
    "personId": "(val)",
    "personName": "(val)",
    "guestFlag": "(val)",
    "alternateFlag": "(val)",
    "alternateFor": "(val)",
    "nonEmployeeFlag": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleAttendanceId": "(val)",
    "scheduleIdFk": "(val)",
    "personId": "(val)",
    "personName": "(val)",
    "guestFlag": "(val)",
    "alternateFlag": "(val)",
    "alternateFor": "(val)",
    "nonEmployeeFlag": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "commScheduleAttendanceId": "(val)",
    "scheduleIdFk": "(val)",
    "personId": "(val)",
    "personName": "(val)",
    "guestFlag": "(val)",
    "alternateFlag": "(val)",
    "alternateFor": "(val)",
    "nonEmployeeFlag": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleAttendanceId": "(val)",
    "scheduleIdFk": "(val)",
    "personId": "(val)",
    "personName": "(val)",
    "guestFlag": "(val)",
    "alternateFlag": "(val)",
    "alternateFor": "(val)",
    "nonEmployeeFlag": "(val)",
    "comments": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Committee Schedule Attendances by Key
DELETE/irb/api/v1/committee-schedule-attendances/(key)

Example URI

DELETE /irb/api/v1/committee-schedule-attendances/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Schedule Attendances
DELETE/irb/api/v1/committee-schedule-attendances/

Example URI

DELETE /irb/api/v1/committee-schedule-attendances/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Schedule Attendances with Matching
DELETE/irb/api/v1/committee-schedule-attendances/

Example URI

DELETE /irb/api/v1/committee-schedule-attendances/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

commScheduleAttendanceId
string (optional) 

Comm Schedule Attendance Id. Maximum length is 22.

scheduleIdFk
string (optional) 

Schedule Id. Maximum length is 10.

personId
string (optional) 

Person Id. Maximum length is 40.

personName
string (optional) 

Person Name. Maximum length is 90.

guestFlag
string (optional) 

Guest Flag. Maximum length is 1.

alternateFlag
string (optional) 

Alternate Flag. Maximum length is 1.

alternateFor
string (optional) 

Alternate For. Maximum length is 9.

nonEmployeeFlag
string (optional) 

Non Employee Flag. Maximum length is 1.

comments
string (optional) 

Comments. Maximum length is 2000.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Committee Schedule Minute Docs

Get Committee Schedule Minute Docs by Key
GET/irb/api/v1/committee-schedule-minute-docs/(key)

Example URI

GET /irb/api/v1/committee-schedule-minute-docs/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "commScheduleMinuteDocId": "(val)",
  "scheduleIdFk": "(val)",
  "minuteNumber": "(val)",
  "minuteName": "(val)",
  "pdfStore": "(val)",
  "createTimestamp": "(val)",
  "createUser": "(val)",
  "_primaryKey": "(val)"
}

Get All Committee Schedule Minute Docs
GET/irb/api/v1/committee-schedule-minute-docs/

Example URI

GET /irb/api/v1/committee-schedule-minute-docs/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "commScheduleMinuteDocId": "(val)",
    "scheduleIdFk": "(val)",
    "minuteNumber": "(val)",
    "minuteName": "(val)",
    "pdfStore": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleMinuteDocId": "(val)",
    "scheduleIdFk": "(val)",
    "minuteNumber": "(val)",
    "minuteName": "(val)",
    "pdfStore": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Committee Schedule Minute Docs with Filtering
GET/irb/api/v1/committee-schedule-minute-docs/

Example URI

GET /irb/api/v1/committee-schedule-minute-docs/
URI Parameters
HideShow
commScheduleMinuteDocId
string (optional) 

Comm Schedule Minute Doc Id. Maximum length is 12.

scheduleIdFk
string (optional) 

Schedule Id. Maximum length is 12.

minuteNumber
string (optional) 

Minute Number. Maximum length is 4.

minuteName
string (optional) 

Minute Name. Maximum length is 200.

pdfStore
string (optional) 

Pdf Store. Maximum length is 4000.

createTimestamp
string (optional) 
createUser
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "commScheduleMinuteDocId": "(val)",
    "scheduleIdFk": "(val)",
    "minuteNumber": "(val)",
    "minuteName": "(val)",
    "pdfStore": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleMinuteDocId": "(val)",
    "scheduleIdFk": "(val)",
    "minuteNumber": "(val)",
    "minuteName": "(val)",
    "pdfStore": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Committee Schedule Minute Docs
GET/irb/api/v1/committee-schedule-minute-docs/

Example URI

GET /irb/api/v1/committee-schedule-minute-docs/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "commScheduleMinuteDocId",
    "scheduleIdFk",
    "minuteNumber",
    "minuteName",
    "pdfStore",
    "createTimestamp",
    "createUser"
  ],
  "primaryKey": "commScheduleMinuteDocId"
}

Get Blueprint API specification for Committee Schedule Minute Docs
GET/irb/api/v1/committee-schedule-minute-docs/

Example URI

GET /irb/api/v1/committee-schedule-minute-docs/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Schedule Minute Docs.md"
transfer-encoding: chunked

Update Committee Schedule Minute Docs
PUT/irb/api/v1/committee-schedule-minute-docs/(key)

Example URI

PUT /irb/api/v1/committee-schedule-minute-docs/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "commScheduleMinuteDocId": "(val)",
  "scheduleIdFk": "(val)",
  "minuteNumber": "(val)",
  "minuteName": "(val)",
  "pdfStore": "(val)",
  "createTimestamp": "(val)",
  "createUser": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Committee Schedule Minute Docs
PUT/irb/api/v1/committee-schedule-minute-docs/

Example URI

PUT /irb/api/v1/committee-schedule-minute-docs/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "commScheduleMinuteDocId": "(val)",
    "scheduleIdFk": "(val)",
    "minuteNumber": "(val)",
    "minuteName": "(val)",
    "pdfStore": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleMinuteDocId": "(val)",
    "scheduleIdFk": "(val)",
    "minuteNumber": "(val)",
    "minuteName": "(val)",
    "pdfStore": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Committee Schedule Minute Docs
PATCH/irb/api/v1/committee-schedule-minute-docs/(key)

Example URI

PATCH /irb/api/v1/committee-schedule-minute-docs/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "commScheduleMinuteDocId": "(val)",
  "scheduleIdFk": "(val)",
  "minuteNumber": "(val)",
  "minuteName": "(val)",
  "pdfStore": "(val)",
  "createTimestamp": "(val)",
  "createUser": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "commScheduleMinuteDocId": "(val)",
  "scheduleIdFk": "(val)",
  "minuteNumber": "(val)",
  "minuteName": "(val)",
  "pdfStore": "(val)",
  "createTimestamp": "(val)",
  "createUser": "(val)",
  "_primaryKey": "(val)"
}

Insert Committee Schedule Minute Docs
POST/irb/api/v1/committee-schedule-minute-docs/

Example URI

POST /irb/api/v1/committee-schedule-minute-docs/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "commScheduleMinuteDocId": "(val)",
  "scheduleIdFk": "(val)",
  "minuteNumber": "(val)",
  "minuteName": "(val)",
  "pdfStore": "(val)",
  "createTimestamp": "(val)",
  "createUser": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "commScheduleMinuteDocId": "(val)",
  "scheduleIdFk": "(val)",
  "minuteNumber": "(val)",
  "minuteName": "(val)",
  "pdfStore": "(val)",
  "createTimestamp": "(val)",
  "createUser": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Committee Schedule Minute Docs
POST/irb/api/v1/committee-schedule-minute-docs/

Example URI

POST /irb/api/v1/committee-schedule-minute-docs/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "commScheduleMinuteDocId": "(val)",
    "scheduleIdFk": "(val)",
    "minuteNumber": "(val)",
    "minuteName": "(val)",
    "pdfStore": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleMinuteDocId": "(val)",
    "scheduleIdFk": "(val)",
    "minuteNumber": "(val)",
    "minuteName": "(val)",
    "pdfStore": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "commScheduleMinuteDocId": "(val)",
    "scheduleIdFk": "(val)",
    "minuteNumber": "(val)",
    "minuteName": "(val)",
    "pdfStore": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleMinuteDocId": "(val)",
    "scheduleIdFk": "(val)",
    "minuteNumber": "(val)",
    "minuteName": "(val)",
    "pdfStore": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Committee Schedule Minute Docs by Key
DELETE/irb/api/v1/committee-schedule-minute-docs/(key)

Example URI

DELETE /irb/api/v1/committee-schedule-minute-docs/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Schedule Minute Docs
DELETE/irb/api/v1/committee-schedule-minute-docs/

Example URI

DELETE /irb/api/v1/committee-schedule-minute-docs/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Schedule Minute Docs with Matching
DELETE/irb/api/v1/committee-schedule-minute-docs/

Example URI

DELETE /irb/api/v1/committee-schedule-minute-docs/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

commScheduleMinuteDocId
string (optional) 

Comm Schedule Minute Doc Id. Maximum length is 12.

scheduleIdFk
string (optional) 

Schedule Id. Maximum length is 12.

minuteNumber
string (optional) 

Minute Number. Maximum length is 4.

minuteName
string (optional) 

Minute Name. Maximum length is 200.

pdfStore
string (optional) 

Pdf Store. Maximum length is 4000.

createTimestamp
string (optional) 
createUser
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Committee Schedule Minutes

Get Committee Schedule Minutes by Key
GET/irb/api/v1/committee-schedule-minutes/(key)

Example URI

GET /irb/api/v1/committee-schedule-minutes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "commScheduleMinutesId": "(val)",
  "scheduleIdFk": "(val)",
  "entryNumber": "(val)",
  "minuteEntryTypeCode": "(val)",
  "protocolIdFk": "(val)",
  "protocolNumber": "(val)",
  "submissionNumber": "(val)",
  "commScheduleActItemsIdFk": "(val)",
  "submissionIdFk": "(val)",
  "privateCommentFlag": "(val)",
  "protocolContingencyCode": "(val)",
  "minuteEntry": "(val)",
  "finalFlag": "(val)",
  "createTimestamp": "(val)",
  "createUser": "(val)",
  "protocolReviewerIdFk": "(val)",
  "protocolOnlineReviewIdFk": "(val)",
  "_primaryKey": "(val)"
}

Get All Committee Schedule Minutes
GET/irb/api/v1/committee-schedule-minutes/

Example URI

GET /irb/api/v1/committee-schedule-minutes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "commScheduleMinutesId": "(val)",
    "scheduleIdFk": "(val)",
    "entryNumber": "(val)",
    "minuteEntryTypeCode": "(val)",
    "protocolIdFk": "(val)",
    "protocolNumber": "(val)",
    "submissionNumber": "(val)",
    "commScheduleActItemsIdFk": "(val)",
    "submissionIdFk": "(val)",
    "privateCommentFlag": "(val)",
    "protocolContingencyCode": "(val)",
    "minuteEntry": "(val)",
    "finalFlag": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "protocolReviewerIdFk": "(val)",
    "protocolOnlineReviewIdFk": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleMinutesId": "(val)",
    "scheduleIdFk": "(val)",
    "entryNumber": "(val)",
    "minuteEntryTypeCode": "(val)",
    "protocolIdFk": "(val)",
    "protocolNumber": "(val)",
    "submissionNumber": "(val)",
    "commScheduleActItemsIdFk": "(val)",
    "submissionIdFk": "(val)",
    "privateCommentFlag": "(val)",
    "protocolContingencyCode": "(val)",
    "minuteEntry": "(val)",
    "finalFlag": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "protocolReviewerIdFk": "(val)",
    "protocolOnlineReviewIdFk": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Committee Schedule Minutes with Filtering
GET/irb/api/v1/committee-schedule-minutes/

Example URI

GET /irb/api/v1/committee-schedule-minutes/
URI Parameters
HideShow
commScheduleMinutesId
string (optional) 

Id. Maximum length is 12.

scheduleIdFk
string (optional) 

Schedule Id Fk. Maximum length is 12.

entryNumber
string (optional) 

Entry Number. Maximum length is 12.

minuteEntryTypeCode
string (optional) 

Minute Entry Type Code. Maximum length is 3.

protocolIdFk
string (optional) 

Protocol Id Fk. Maximum length is 12.

protocolNumber
string (optional) 
submissionNumber
string (optional) 
commScheduleActItemsIdFk
string (optional) 

CommScheduleActItems Id Fk. Maximum length is 12.

submissionIdFk
string (optional) 

Submission Id Fk. Maximum length is 12.

privateCommentFlag
string (optional) 

Private Comment Flag. Maximum length is 1.

protocolContingencyCode
string (optional) 

Protocol Contingency Code. Maximum length is 4.

minuteEntry
string (optional) 

Minute Entry. Maximum length is 4000.

finalFlag
string (optional) 

Final Flag. Maximum length is 1.

createTimestamp
string (optional) 

Created Time. Maximum length is 21.

createUser
string (optional) 

Create User. Maximum length is 80.

protocolReviewerIdFk
string (optional) 

Reviewers. Maximum length is 1000.

protocolOnlineReviewIdFk
string (optional) 

Protocol Online Review. Maximum length is 1000.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "commScheduleMinutesId": "(val)",
    "scheduleIdFk": "(val)",
    "entryNumber": "(val)",
    "minuteEntryTypeCode": "(val)",
    "protocolIdFk": "(val)",
    "protocolNumber": "(val)",
    "submissionNumber": "(val)",
    "commScheduleActItemsIdFk": "(val)",
    "submissionIdFk": "(val)",
    "privateCommentFlag": "(val)",
    "protocolContingencyCode": "(val)",
    "minuteEntry": "(val)",
    "finalFlag": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "protocolReviewerIdFk": "(val)",
    "protocolOnlineReviewIdFk": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleMinutesId": "(val)",
    "scheduleIdFk": "(val)",
    "entryNumber": "(val)",
    "minuteEntryTypeCode": "(val)",
    "protocolIdFk": "(val)",
    "protocolNumber": "(val)",
    "submissionNumber": "(val)",
    "commScheduleActItemsIdFk": "(val)",
    "submissionIdFk": "(val)",
    "privateCommentFlag": "(val)",
    "protocolContingencyCode": "(val)",
    "minuteEntry": "(val)",
    "finalFlag": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "protocolReviewerIdFk": "(val)",
    "protocolOnlineReviewIdFk": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Committee Schedule Minutes
GET/irb/api/v1/committee-schedule-minutes/

Example URI

GET /irb/api/v1/committee-schedule-minutes/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "commScheduleMinutesId",
    "scheduleIdFk",
    "entryNumber",
    "minuteEntryTypeCode",
    "protocolIdFk",
    "protocolNumber",
    "submissionNumber",
    "commScheduleActItemsIdFk",
    "submissionIdFk",
    "privateCommentFlag",
    "protocolContingencyCode",
    "minuteEntry",
    "finalFlag",
    "createTimestamp",
    "createUser",
    "protocolReviewerIdFk",
    "protocolOnlineReviewIdFk"
  ],
  "primaryKey": "commScheduleMinutesId"
}

Get Blueprint API specification for Committee Schedule Minutes
GET/irb/api/v1/committee-schedule-minutes/

Example URI

GET /irb/api/v1/committee-schedule-minutes/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Schedule Minutes.md"
transfer-encoding: chunked

Update Committee Schedule Minutes
PUT/irb/api/v1/committee-schedule-minutes/(key)

Example URI

PUT /irb/api/v1/committee-schedule-minutes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "commScheduleMinutesId": "(val)",
  "scheduleIdFk": "(val)",
  "entryNumber": "(val)",
  "minuteEntryTypeCode": "(val)",
  "protocolIdFk": "(val)",
  "protocolNumber": "(val)",
  "submissionNumber": "(val)",
  "commScheduleActItemsIdFk": "(val)",
  "submissionIdFk": "(val)",
  "privateCommentFlag": "(val)",
  "protocolContingencyCode": "(val)",
  "minuteEntry": "(val)",
  "finalFlag": "(val)",
  "createTimestamp": "(val)",
  "createUser": "(val)",
  "protocolReviewerIdFk": "(val)",
  "protocolOnlineReviewIdFk": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Committee Schedule Minutes
PUT/irb/api/v1/committee-schedule-minutes/

Example URI

PUT /irb/api/v1/committee-schedule-minutes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "commScheduleMinutesId": "(val)",
    "scheduleIdFk": "(val)",
    "entryNumber": "(val)",
    "minuteEntryTypeCode": "(val)",
    "protocolIdFk": "(val)",
    "protocolNumber": "(val)",
    "submissionNumber": "(val)",
    "commScheduleActItemsIdFk": "(val)",
    "submissionIdFk": "(val)",
    "privateCommentFlag": "(val)",
    "protocolContingencyCode": "(val)",
    "minuteEntry": "(val)",
    "finalFlag": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "protocolReviewerIdFk": "(val)",
    "protocolOnlineReviewIdFk": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleMinutesId": "(val)",
    "scheduleIdFk": "(val)",
    "entryNumber": "(val)",
    "minuteEntryTypeCode": "(val)",
    "protocolIdFk": "(val)",
    "protocolNumber": "(val)",
    "submissionNumber": "(val)",
    "commScheduleActItemsIdFk": "(val)",
    "submissionIdFk": "(val)",
    "privateCommentFlag": "(val)",
    "protocolContingencyCode": "(val)",
    "minuteEntry": "(val)",
    "finalFlag": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "protocolReviewerIdFk": "(val)",
    "protocolOnlineReviewIdFk": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Committee Schedule Minutes
PATCH/irb/api/v1/committee-schedule-minutes/(key)

Example URI

PATCH /irb/api/v1/committee-schedule-minutes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "commScheduleMinutesId": "(val)",
  "scheduleIdFk": "(val)",
  "entryNumber": "(val)",
  "minuteEntryTypeCode": "(val)",
  "protocolIdFk": "(val)",
  "protocolNumber": "(val)",
  "submissionNumber": "(val)",
  "commScheduleActItemsIdFk": "(val)",
  "submissionIdFk": "(val)",
  "privateCommentFlag": "(val)",
  "protocolContingencyCode": "(val)",
  "minuteEntry": "(val)",
  "finalFlag": "(val)",
  "createTimestamp": "(val)",
  "createUser": "(val)",
  "protocolReviewerIdFk": "(val)",
  "protocolOnlineReviewIdFk": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "commScheduleMinutesId": "(val)",
  "scheduleIdFk": "(val)",
  "entryNumber": "(val)",
  "minuteEntryTypeCode": "(val)",
  "protocolIdFk": "(val)",
  "protocolNumber": "(val)",
  "submissionNumber": "(val)",
  "commScheduleActItemsIdFk": "(val)",
  "submissionIdFk": "(val)",
  "privateCommentFlag": "(val)",
  "protocolContingencyCode": "(val)",
  "minuteEntry": "(val)",
  "finalFlag": "(val)",
  "createTimestamp": "(val)",
  "createUser": "(val)",
  "protocolReviewerIdFk": "(val)",
  "protocolOnlineReviewIdFk": "(val)",
  "_primaryKey": "(val)"
}

Insert Committee Schedule Minutes
POST/irb/api/v1/committee-schedule-minutes/

Example URI

POST /irb/api/v1/committee-schedule-minutes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "commScheduleMinutesId": "(val)",
  "scheduleIdFk": "(val)",
  "entryNumber": "(val)",
  "minuteEntryTypeCode": "(val)",
  "protocolIdFk": "(val)",
  "protocolNumber": "(val)",
  "submissionNumber": "(val)",
  "commScheduleActItemsIdFk": "(val)",
  "submissionIdFk": "(val)",
  "privateCommentFlag": "(val)",
  "protocolContingencyCode": "(val)",
  "minuteEntry": "(val)",
  "finalFlag": "(val)",
  "createTimestamp": "(val)",
  "createUser": "(val)",
  "protocolReviewerIdFk": "(val)",
  "protocolOnlineReviewIdFk": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "commScheduleMinutesId": "(val)",
  "scheduleIdFk": "(val)",
  "entryNumber": "(val)",
  "minuteEntryTypeCode": "(val)",
  "protocolIdFk": "(val)",
  "protocolNumber": "(val)",
  "submissionNumber": "(val)",
  "commScheduleActItemsIdFk": "(val)",
  "submissionIdFk": "(val)",
  "privateCommentFlag": "(val)",
  "protocolContingencyCode": "(val)",
  "minuteEntry": "(val)",
  "finalFlag": "(val)",
  "createTimestamp": "(val)",
  "createUser": "(val)",
  "protocolReviewerIdFk": "(val)",
  "protocolOnlineReviewIdFk": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Committee Schedule Minutes
POST/irb/api/v1/committee-schedule-minutes/

Example URI

POST /irb/api/v1/committee-schedule-minutes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "commScheduleMinutesId": "(val)",
    "scheduleIdFk": "(val)",
    "entryNumber": "(val)",
    "minuteEntryTypeCode": "(val)",
    "protocolIdFk": "(val)",
    "protocolNumber": "(val)",
    "submissionNumber": "(val)",
    "commScheduleActItemsIdFk": "(val)",
    "submissionIdFk": "(val)",
    "privateCommentFlag": "(val)",
    "protocolContingencyCode": "(val)",
    "minuteEntry": "(val)",
    "finalFlag": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "protocolReviewerIdFk": "(val)",
    "protocolOnlineReviewIdFk": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleMinutesId": "(val)",
    "scheduleIdFk": "(val)",
    "entryNumber": "(val)",
    "minuteEntryTypeCode": "(val)",
    "protocolIdFk": "(val)",
    "protocolNumber": "(val)",
    "submissionNumber": "(val)",
    "commScheduleActItemsIdFk": "(val)",
    "submissionIdFk": "(val)",
    "privateCommentFlag": "(val)",
    "protocolContingencyCode": "(val)",
    "minuteEntry": "(val)",
    "finalFlag": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "protocolReviewerIdFk": "(val)",
    "protocolOnlineReviewIdFk": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "commScheduleMinutesId": "(val)",
    "scheduleIdFk": "(val)",
    "entryNumber": "(val)",
    "minuteEntryTypeCode": "(val)",
    "protocolIdFk": "(val)",
    "protocolNumber": "(val)",
    "submissionNumber": "(val)",
    "commScheduleActItemsIdFk": "(val)",
    "submissionIdFk": "(val)",
    "privateCommentFlag": "(val)",
    "protocolContingencyCode": "(val)",
    "minuteEntry": "(val)",
    "finalFlag": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "protocolReviewerIdFk": "(val)",
    "protocolOnlineReviewIdFk": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "commScheduleMinutesId": "(val)",
    "scheduleIdFk": "(val)",
    "entryNumber": "(val)",
    "minuteEntryTypeCode": "(val)",
    "protocolIdFk": "(val)",
    "protocolNumber": "(val)",
    "submissionNumber": "(val)",
    "commScheduleActItemsIdFk": "(val)",
    "submissionIdFk": "(val)",
    "privateCommentFlag": "(val)",
    "protocolContingencyCode": "(val)",
    "minuteEntry": "(val)",
    "finalFlag": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "protocolReviewerIdFk": "(val)",
    "protocolOnlineReviewIdFk": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Committee Schedule Minutes by Key
DELETE/irb/api/v1/committee-schedule-minutes/(key)

Example URI

DELETE /irb/api/v1/committee-schedule-minutes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Schedule Minutes
DELETE/irb/api/v1/committee-schedule-minutes/

Example URI

DELETE /irb/api/v1/committee-schedule-minutes/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Committee Schedule Minutes with Matching
DELETE/irb/api/v1/committee-schedule-minutes/

Example URI

DELETE /irb/api/v1/committee-schedule-minutes/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

commScheduleMinutesId
[...]
